Order Invoices
Part of the Sales API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).
List order invoices
GET/admin/api/v1/sales/orders/{order_id}/invoicesRetrieve a paginated list of invoices for a specific order
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
order_id | integer | Yes | The order ID |
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: campaign, journal, company, originPayment, taxCashBasisOriginMove, autoPostOrigin, invoicePaymentTerm, partner, commercialPartner, partnerShipping, partnerBank, fiscalPosition, currency, reversedEntry, invoiceUser, invoiceIncoterm, invoiceCashRounding, creator, source, medium, paymentMethodLine | journal,partner |
filter[id] | string | No | Comma-separated list of invoice IDs to filter by | |
filter[state] | string | No | Filter by invoice state | posted |
filter[payment_state] | string | No | Filter by payment state | paid |
sort | string | Yes | Sort field | -created_at |
page | integer | Yes | Page number | 1 |
bash
curl -X GET "https://your-domain.com/admin/api/v1/sales/orders/{order_id}/invoices?include=journal%2Cpartner&filter%5Bstate%5D=posted&filter%5Bpayment_state%5D=paid&sort=-created_at&page=1" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"javascript
const response = await fetch("https://your-domain.com/admin/api/v1/sales/orders/{order_id}/invoices?include=journal%2Cpartner&filter%5Bstate%5D=posted&filter%5Bpayment_state%5D=paid&sort=-created_at&page=1", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);php
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/sales/orders/{order_id}/invoices?include=journal%2Cpartner&filter%5Bstate%5D=posted&filter%5Bpayment_state%5D=paid&sort=-created_at&page=1', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);python
import requests
url = "https://your-domain.com/admin/api/v1/sales/orders/{order_id}/invoices?include=journal%2Cpartner&filter%5Bstate%5D=posted&filter%5Bpayment_state%5D=paid&sort=-created_at&page=1"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
json
{
"data": [
{
"id": 1,
"sort": 1,
"journal_id": 2,
"company_id": 1,
"campaign_id": null,
"tax_cash_basis_origin_move_id": null,
"auto_post_origin_id": null,
"origin_payment_id": null,
"secure_sequence_number": null,
"invoice_payment_term_id": 1,
"partner_id": 3,
"commercial_partner_id": 3,
"partner_shipping_id": 3,
"partner_bank_id": null,
"fiscal_position_id": null,
"currency_id": 20,
"reversed_entry_id": null,
"invoice_user_id": null,
"invoice_incoterm_id": null,
"invoice_cash_rounding_id": null,
"preferred_payment_method_line_id": null,
"creator_id": 1,
"sequence_prefix": "BILL/2026",
"access_token": null,
"name": "BILL/2026/00001",
"reference": null,
"state": "posted",
"move_type": "in_invoice",
"auto_post": 0,
"inalterable_hash": null,
"payment_reference": null,
"qr_code_method": null,
"payment_state": "not_paid",
"invoice_source_email": null,
"invoice_partner_display_name": "Sagar(Vendor)",
"invoice_origin": "PO/00002",
"incoterm_location": null,
"date": "2026-10-09T00:00:00.000000Z",
"auto_post_until": null,
"invoice_date": "2026-10-08T00:00:00.000000Z",
"invoice_date_due": "2026-10-08T00:00:00.000000Z",
"delivery_date": null,
"sending_data": null,
"narration": "<p></p>",
"invoice_currency_rate": "1.0000",
"amount_untaxed": "2200.0000",
"amount_tax": "0.0000",
"amount_total": "2200.0000",
"amount_residual": "2200.0000",
"amount_untaxed_signed": "-2200.0000",
"amount_untaxed_in_currency_signed": "-2200.0000",
"amount_tax_signed": "0.0000",
"amount_total_signed": "-2200.0000",
"amount_total_in_currency_signed": "-2200.0000",
"amount_residual_signed": "-2200.0000",
"quick_edit_total_amount": null,
"is_storno": 0,
"always_tax_exigible": 0,
"checked": true,
"posted_before": 1,
"made_sequence_gap": 0,
"is_manually_modified": 0,
"is_move_sent": 0,
"source_id": null,
"medium_id": null,
"created_at": "2026-10-09T12:16:14.000000Z",
"updated_at": "2026-10-09T12:18:43.000000Z"
},
{
"id": 1,
"sort": 1,
"journal_id": 2,
"company_id": 1,
"campaign_id": null,
"tax_cash_basis_origin_move_id": null,
"auto_post_origin_id": null,
"origin_payment_id": null,
"secure_sequence_number": null,
"invoice_payment_term_id": 1,
"partner_id": 3,
"commercial_partner_id": 3,
"partner_shipping_id": 3,
"partner_bank_id": null,
"fiscal_position_id": null,
"currency_id": 20,
"reversed_entry_id": null,
"invoice_user_id": null,
"invoice_incoterm_id": null,
"invoice_cash_rounding_id": null,
"preferred_payment_method_line_id": null,
"creator_id": 1,
"sequence_prefix": "BILL/2026",
"access_token": null,
"name": "BILL/2026/00001",
"reference": null,
"state": "posted",
"move_type": "in_invoice",
"auto_post": 0,
"inalterable_hash": null,
"payment_reference": null,
"qr_code_method": null,
"payment_state": "not_paid",
"invoice_source_email": null,
"invoice_partner_display_name": "Sagar(Vendor)",
"invoice_origin": "PO/00002",
"incoterm_location": null,
"date": "2026-10-09T00:00:00.000000Z",
"auto_post_until": null,
"invoice_date": "2026-10-08T00:00:00.000000Z",
"invoice_date_due": "2026-10-08T00:00:00.000000Z",
"delivery_date": null,
"sending_data": null,
"narration": "<p></p>",
"invoice_currency_rate": "1.0000",
"amount_untaxed": "2200.0000",
"amount_tax": "0.0000",
"amount_total": "2200.0000",
"amount_residual": "2200.0000",
"amount_untaxed_signed": "-2200.0000",
"amount_untaxed_in_currency_signed": "-2200.0000",
"amount_tax_signed": "0.0000",
"amount_total_signed": "-2200.0000",
"amount_total_in_currency_signed": "-2200.0000",
"amount_residual_signed": "-2200.0000",
"quick_edit_total_amount": null,
"is_storno": 0,
"always_tax_exigible": 0,
"checked": true,
"posted_before": 1,
"made_sequence_gap": 0,
"is_manually_modified": 0,
"is_move_sent": 0,
"source_id": null,
"medium_id": null,
"created_at": "2026-10-09T12:16:14.000000Z",
"updated_at": "2026-10-09T12:18:43.000000Z"
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"page": null,
"active": false
},
{
"url": "/?page=1",
"label": "1",
"page": 1,
"active": true
},
{
"url": null,
"label": "Next »",
"page": null,
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}Error response — 401
json
{
"message": "Unauthenticated."
}